<div class='modal'>
  <textarea class='modal__note' [formControl]='text'>{{data?.text}}</textarea>
  <mat-divider></mat-divider>
  <div class='modal__btn-container'>

    <p class='modal__id'>Note's ID:&nbsp;<span class='color-blue'>{{data?._id}}</span></p>

    <button
      *ngIf='!isNewItem'
      mat-raised-button
      color="primary"
      class='modal__btn'
      (click)='editNote()'
    >Save</button>

    <button
      *ngIf='isNewItem'
      mat-raised-button
      color="primary"
      class='modal__btn'
      (click)='createNote()'
    >Create</button>

  </div>
</div>

